Subject: Gays & STDs meetings, 08/31 at 7 pm, MCC in SF
From: [email-masked]
Date: Mon, 30 Aug 1999 11:52:14 EDT

Dear friends,

There will be a meeting on Tuesday, August 31 at the Metropolitan Community 
Church at 150 Eureka Street in San Francisco from 7:00 until 8:30 pm.

Topics include alleged increases of syphilis among SF gay men cruising AOL 
chat rooms, SF health department media campaigns targeting gay male 
sexuality, lack of definitive data from the health department about their 
claims of increased gay STDs, future public meetings between the gay 
community and the health department, and efforts to reopen the gay baths.

Please join us.  If you have any questions call me at 415-621-6267.

--Michael Petrelis